<!doctype html>
<html>

<head>
  <meta name="generator" content="JSDoc 3.6.3">
  <meta charset="utf-8">
  <title>Source: components/link/Link.js</title>
  <link rel="stylesheet" href="https://brick.a.ssl.fastly.net/Karla:400,400i,700,700i" type="text/css">
  <link rel="stylesheet" href="https://brick.a.ssl.fastly.net/Noto+Serif:400,400i,700,700i" type="text/css">
  <link rel="stylesheet" href="https://brick.a.ssl.fastly.net/Inconsolata:500" type="text/css">
  <link href="css/baseline.css" rel="stylesheet">
</head>

<body onload="prettyPrint()">
  <nav id="jsdoc-navbar" role="navigation" class="jsdoc-navbar">
    <div id="jsdoc-navbar-container">
      <div id="jsdoc-navbar-content">
        <a href="index.html" class="jsdoc-navbar-package-name">Home</a>
      </div>
    </div>
  </nav>
  <div id="jsdoc-body-container">
    <div id="jsdoc-content">
      <div id="jsdoc-content-container">
        <div id="jsdoc-banner" role="banner">
        </div>
        <div id="jsdoc-main" role="main">
          <header class="page-header">
            <h1>Source: components/link/Link.js</h1>
          </header>
          <article>
            <pre class="prettyprint linenums"><code>import style from &#x27;./style.scss&#x27;
import { h, Component } from &#x27;preact&#x27;

let classNames &#x3D; (require(&#x27;classnames/bind&#x27;)).bind(style)

/**
 * prosty link &amp;amp;lt;a/&amp;amp;gt;
 * @class Link
 * @extends {Component}
 * @example
 * &amp;lt;Link href&#x3D;&quot;http://example.com&quot;&gt;
 *    &amp;lt;img src&#x3D;&quot;http://placekitten.com/300/250&quot; /&gt;
 * &amp;lt;/Link&gt;
 *
 * @prop {object} props - zestaw właściwości komponentu
 * @prop {string} props.iframe - adres wyświetlanej strony
 * @prop {string} props.href - adres, na jaki ma przekierowywać link
 * @prop {string} [props.target&#x3D;_blank] - gdzie ma zostać otwarty link po klinięciu
 * @prop {string[]} [props.classNames] - dodatkowe klasy dla głównego elementu
 * @prop {object} [props.style] - obiekt ze stylami inline
 */
export class Link extends Component {
  constructor (props, state) {
    super(props, state)

    if (!(&#x27;target&#x27; in this.props)) this.props.target &#x3D; &#x27;_blank&#x27;
  }

  classNames () {
    return classNames([
      &#x27;link&#x27;,
      this.props.classNames
    ])
  }

  render () {
    return (
      &amp;lt;a href&#x3D;{this.props.href} target&#x3D;{this.props.target} rel&#x3D;&quot;noopener noreferrer&quot; className&#x3D;{this.classNames()} style&#x3D;{this.props.style}&gt;
        {this.props.children}
      &amp;lt;/a&gt;
    )
  }
}
</code></pre>
          </article>
        </div>
      </div>
      <nav id="jsdoc-toc-nav" role="navigation"></nav>
    </div>
  </div>
  <footer id="jsdoc-footer" class="jsdoc-footer">
    <div id="jsdoc-footer-container">
      <p>
        Generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc</a> 3.6.3 on August 23, 2019.
      </p>
    </div>
  </footer>
  <script src="scripts/jquery.min.js"></script>
  <script src="scripts/jquery.cookie.js"></script>
  <script src="scripts/tree.jquery.js"></script>
  <script src="scripts/prettify.js"></script>
  <script src="scripts/jsdoc-toc.js"></script>
  <script src="scripts/linenumber.js"></script>
  <script src="scripts/scrollanchor.js"></script>
</body>

</html>